Security Enhanced Linux Reference Policy

# Layer: services

## Module: portmap

Interfaces

### Description:

RPC port mapping service.

### Interfaces:

portmap_domtrans_helper( domain )

##### Summary

Execute portmap_helper in the helper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

portmap_run_helper( domain , role )

##### Summary

Execute portmap helper in the helper domain, and allow the specified role the helper domain. Communicate with portmap.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the portmap domain.

portmap_tcp_connect( domain )

##### Summary

Connect to portmap over a TCP socket (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

portmap_udp_chat( domain )

##### Summary

Send and receive UDP network traffic from portmap. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

portmap_udp_send( domain )

##### Summary

Send UDP network traffic to portmap. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return